Subject: Re: CCL:NWChem

From: "Dmitry Rozmanov" <[email-masked]>
Date: Sun, 3 Nov 2002 12:58:52 +0300

Hi Gregory.

Thank you for so complete replay. Then I'll stay with Gamess for a while ;).

Regards.

    ---Dmitry.

----- Original Message -----
From: "Gregory Shamov" <[email-masked]>
To: "Dmitry Rozmanov" <[email-masked]>
Cc: "CCL" <[email-masked]>
Sent: Sunday, November 03, 2002 9:21 AM
Subject: Re: CCL:NWChem

> Hello Dmitry,
>
> Sunday, November 3, 2002, 3:09:16 AM, you wrote:
>
> DR> Hi.
>
> DR> Does anybody use NVChem?
>
> I have tryed to use NWChem 4.0 and 4.01.
>
> DR> Does it have any advantages over Gamess-US?
>
> NO.
>
> The main advantage of Gamess (Gaussian, Jaguar, Qchem, ...) over
> NWChem is that Gamess, in general, is stable, and NWChem, in general,
> is not.
>
> And there are some minor disadvantages of NWChem. First, it slow. Very
> slow. At single CPU it is about 2-4 times slower than Gamess. The
> NWChem team says it is because NWChem is designed to be very
> scalable code to use on hundreds and thousands CPUs. I believe it is
> true, but for commonly used small clusters (8-16 CPUs) Gamess
> outperforms NWChem.
>
> Moreover, NWChem (at least in some cases) running on the small cluster
> (say, 8 CPUs) gives no normal speedup painting! I.e., wall times for
> the same task are not smoothly decreasing with increasing CPU number,
> but are changing randomly. Perhaps in the case on 1000 CPUs cluster
> +\- 8 CPUs means nothing, aha, aha, but for small cluster every CPU
> means a lot. :-) The same task calculated with Gamess on the same
> cluster scales properly.
>
> There are a lot of methods implemented in NWChem: DFT, CCSD, CPMD,
> classical MD, etc. But DFT (both grid-based and grid-free) and CCSD
> methods are implemented in the latest versions of Gamess too, it is
> possible to integrate Tinker with Gamess to do QM\MM and MD
> calculations, and there is standalone free and cool CPMD program.
>
> So i think you better use these codes unless you have 1000CPUs
> cluster.
>
> --
> Best regards,
>  Gregory Shamov                         mailto:[email-masked]